﻿$ErrorActionPreference = 'Stop';

$packageName  = 'yubikey-manager'
$url          = 'https://github.com//Yubico/yubikey-manager-qt/releases/download/yubikey-manager-qt-0.3.1/yubikey-manager-qt-0.3.1-win.exe'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  softwareName  = 'yubikey manager*'
  fileType      = 'exe'
  silentArgs    = "/S"
  
  validExitCodes= @(0)
  url           = $url
  checksum      = '10384966ef4dfb2eae0f0c5488b0184aef5fa5917998d0b1da46959e075c7355'
  checksumType  = 'sha256'

  destination   = $toolsDir
}

Install-ChocolateyPackage @packageArgs 


